Esc a value change doesn't recalc compositor
Closed, ResolvedPublic

Description

Tiles compositor is interactive (keeps refreshing the viewer) while you drag a node value. However if you cancel this tweak with Esc it doesn't refresh back to normal

Daniel Salazar (zanqdo) set Type to Bug.Via Old WorldSep 30 2012, 9:22 AM
Thomas Dinges (dingto) added a comment.Via Old WorldSep 30 2012, 1:51 PM

Can you explain in more detail?

Tried it with a simple setup:
RenderLayer -> Mix -> Composite/Viewer. I changed the "Fac" of the Mix node, but canceled the tweak via ESC. Composite and Viewer refreshed back to normal.

Zanqdo, you should really provide example blend files and more infos. The bug report guidelines are meant for everyone ;)

Daniel Salazar (zanqdo) added a comment.Via Old WorldSep 30 2012, 11:38 PM

AH dammit, i thought it was always happening :) Will do my homework and upload a blend

Thomas Dinges (dingto) added a comment.Via Old WorldOct 2 2012, 8:03 AM

So, can you give an example node which fails?

OK apparently it has to do with the render size, some race condition or something. I have uploaded a simple file at 1080p resolution

Render
Change the blur node's size to 0 and while still holding down the mouse press Esc

Sergey Sharybin (sergey) added a comment.Via Old WorldOct 8 2012, 1:53 PM

Looks like ESC cancels compositor job as well. Can not say more details current,y will look into this.

Sergey Sharybin (sergey) added a comment.Via Old WorldOct 19 2012, 1:48 PM

The issue should be now fixed in svn rev51421. Thanks for the report, closing.

Sergey Sharybin (sergey) closed this task as "Resolved".Via Old WorldOct 19 2012, 1:48 PM

Add Comment